Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface OffsetRable

All Superinterfaces:
  Filter, RenderableImage

    public interface OffsetRable

extends Filter

Adjusts the input images coordinate system by dx, dy.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` | `getSource()` Returns the source to be offset.
`double` | `getXoffset()` Get the x offset.
`double` | `getYoffset()` Get the y offset.
`void` | `setSource(Filter src)` Sets the source to be offset.
`void` | `setXoffset(double dx)` Set the x offset.
`void` | `setYoffset(double dy)` Set the y offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be offset.

### setSource

    void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### setXoffset

    void setXoffset(double dx)

  Set the x offset.

  Parameters:
    `dx` - the amount to offset in the x direction

### getXoffset

    double getXoffset()

  Get the x offset.

  Returns:
    the amount to offset in the x direction

### setYoffset

    void setYoffset(double dy)

  Set the y offset.

  Parameters:
    `dy` - the amount to offset in the y direction

### getYoffset

    double getYoffset()

  Get the y offset.

  Returns:
    the amount to offset in the y direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.